pro dotsi,sefr,sizin

;Size of UDs and peak intensity found in segmented frame SEFR by Object1.
;(Peak intensity in segmented frame = P.I. in original frame)
;Output in 2-D array SIZIN:
;column 1 - effect. diameter ("), column 2 - peak intensity
;Called: OBJEKT1

objekt1,sefr,tab
nobj=max(tab(0,*))
sizin=fltarr(2,nobj)

for i=1,nobj do begin
   w=where(tab(0,*) eq i, c)	;c=size of object in pix
   sizin(0,i-1)=0.125*sqrt(4*c/!pi)
   coor=tab(1,w)		;coords of object pixels
   sizin(1,i-1)=max(sefr(coor))/10000.
endfor

plot,sizin(0,*),sizin(1,*),psym=6,symsize=0.5,back=255,col=0, $
	xtitle='eff. diameter (")', ytitle='peak intensity'
end