PRO deroti,date,itime
;
;Derotation of IR images of 23,25 June 1997.
;Procedure LPANGLES + subroutines is used.
;Intensity limitation and constant offset angle are included!
;INPUT:  date = 23 or 25
;	 itime = array of time UT in seconds
;	 files XXjun/inXX.seq, where XX is the date
;OUTPUT: files XXjun/idXX.seq, where XX is the date
;
on_error,1

; IMAGE PARAMETERS ----------------------------------------------------

if (date ne 23) and (date ne 25) then  $
   message,'Sorry, I do not know how to handle this dataset'
dat=strtrim(date,2)
nami=dat+'jun/in'+dat+'.'
namo=dat+'jun/id'+dat+'.'
im=intarr(224,224)
siz=size(itime)
n=siz(1)-1

if date eq 23 then begin
	ref=165		;reference frame no.
	lo=7950		;intensity limits
	hi=10820
endif else begin
	ref=182
	lo=7500
	hi=10840
endelse



; ANGLE CALCULATION --------------------------------------------------

angles=lpangles(97,6,date,itime)*!radeg	;(year,month,day,time)
angles=angles-angles(ref)-0.7		;zero derotation of frame ref
					; and common offset -0.7

; LOOP OVER FRAMES ---------------------------------------------------

for i=0,n do begin

  openr,1,nami+strtrim(i,2)
  readu,1,im
  close,1
  im=im>lo	;intensity limitation
  im=im<hi

  ima=rot(im,angles(i),1.,cubic=(-0.5),missing=mean(im))
		;cubic = -0.5 as suggested by the IDL manual.
		;pivot point = center

  print,namo+strtrim(i,2)
  openw,1,namo+strtrim(i,2)
  writeu,1,ima
  close,1

endfor

END
