PRO fig_tra,ima,ps=ps

; A program to visualize trajectories
; from the INSTVEL3 result files.

;INPUTS:  ima  - underlying image--one of the series
;	  ps   - keyword. If set, PS figures are made
;OUTPUT:  on the screen OR to PS-files (depends if ps is set):
;	  1. Image of the field with smoothed trajectories of PGs
;		(PS file  vt[name].ps)
;
;CALLING SEQUENCE:    fig_tra,image,'name'[,/ps]

;==================================================================
;Parameters
	reb=1		;  rebin factor for visualization
;==================================================================

si=size(ima)
;loadct,0

if keyword_set(ps) then begin
  set_plot,'ps'
  device,file='trajectories.ps',bits_per_pixel=8,/color, $
    yoffset=7,xsize=si(1)*0.025,ysize=si(2)*0.025,encapsulated=0
							;centimeters
  tvscl,ima
  reb=25			;1000 PS points/cm, 40 pix/cm
endif else begin
  window,2,xsiz=si(1)*reb,ysiz=si(2)*reb
  tvscl,rebin(ima,si(1)*reb,si(2)*reb)
endelse

flogi='vxy/vxy10i.log'
restore,flogi		;here comes vxylogi
sl=size(vxylogi)

;Trajectory plots

  for i=0,sl(2)-1 do begin
	fil='vxy/vxy10i.'+strtrim(fix(vxylogi(0,i)),2)
	restore,fil
	plots,xs*reb,ys*reb,/device,col=0,thick=2   ;3 for PS
  endfor
niw=fix(sl(2))

flogo='vxy/vxy10o.log'
restore,flogo		;here comes vxylogo
sl=size(vxylogo)

  for i=0,sl(2)-1 do begin
	fil='vxy/vxy10o.'+strtrim(fix(vxylogo(0,i)),2)
	restore,fil
	plots,xs*reb,ys*reb,/device,col=255,thick=2  ;3 for PS
  endfor
print,'No. of INW and OUT PGs:',niw,fix(sl(2))

;plot the position of umbral center
plots,[220*reb],[245*reb],psym=1,col=255,/device

if keyword_set(ps) then begin
  device,/close
  set_plot,'x'
endif

end
