pro evoldiv,mov,ns,tlag,mdiv

; Procedure to compute time evolution of divergence pattern
;
; INPUTS: 3d movie MOV (free of apodization in time),
;         number of frames NS in a subseries
;         from which the divergence is computed,
;         time lag TLAG between subsequent subseries.
; OUTPUTS: 3d movie MDIV of evolution of the divergence pattern.
;
; Procedures called: FLOWMAKR (and its subroutines), DIVERGENCE.
; 30 Nov 1995

on_error,1

msiz=size(mov)
if msiz(0) ne 3 then message,'ERROR: Input array must be 3-D'
n=msiz(3)

nd=(n-ns)/tlag+1
mdiv=fltarr(msiz(1),msiz(2),nd)

for i=0,nd-1 do begin
	print,'segment no.',i
	ll=i*tlag
	ul=ll+ns-1
	flowmakr,mov(*,*,ll:ul),2,13,1,vx,vy,/qfit2
	mdiv(0,0,i)=divergence(vx,vy)
endfor

end
