pro lifetime,inp,mask,out

; Procedure to compute a time correlation curve between patterns
; stored in a 3-d array INP. 
; MASK is an array with values 1 and 0 to mask out the pore.
; OUT is a 1-d array with the values
; of correlation, normalized to 1.
; 30 Nov 1995

on_error,1

msiz=size(inp)
if msiz(0) ne 3 then message,'ERROR: Input array must be 3-D'
n=msiz(3)
out=fltarr(n)
arr=inp

im=inp(*,*,0)
arr(*,*,0)=inp(*,*,0)*mask - mean(im(where(mask eq 1)))
tvscl,arr(*,*,0)
den=total(arr(*,*,0)*arr(*,*,0))
out(0)=1.

for i=1,n-1 do begin
	im=inp(*,*,i)
	arr(*,*,i)=inp(*,*,i)*mask - mean(im(where(mask eq 1)))
	out(i)=total(arr(*,*,0)*arr(*,*,i))/den
endfor

end
