function win_cos,nx,ny,perc

; Genera una ventana 2D (nx*ny) con caida coseno en sus bordes, 
; en un "perc" % de la longitud de los lados de la imagen.
; Si perc=0 produce una ventana de 1's sin bordes atenuados.
; El modo de uso es:     win = win_cos(nx,ny,perc)
;

   wx=replicate(1.,nx) & wy=replicate(1.,ny)
   if perc eq 0 then goto,fin
   nxw=nint(perc*nx/100.) & nyw=nint(perc*ny/100.)
   wi=0.5*(1.-cos(!pi*findgen(nxw)/nxw))
   wx(0:nxw-1)=wi & wx(nx-nxw+1:nx-1)=reverse(wi(1:nxw-1))
   wi=0.5*(1.-cos(!pi*findgen(nyw)/nyw))
   wy(0:nyw-1)=wi & wy(ny-nyw+1:ny-1)=reverse(wi(1:nyw-1))   
   fin:
   win=wx#wy

   return,win

   end
